Benutzer-Werkzeuge

Webseiten-Werkzeuge


proxmox

Inhaltsverzeichnis

Proxmox

VM umbenennen

  • Maschine herunterfahren
  • Aufschalten mit SSH auf den Server auf dem die Maschine gerade läuft
  • Disk-Image(s) umbenennen
    • Verzeichnisbasiert
      cd /var/lib/vz/images
      mv <vmid_alt> <vmid_neu>
      cd <vmid_neu>
      mv <disk_alt> <disk_neu>
    • LVM basiert
      lvrename /dev/pve/<volume_alt> /dev/pve/<volume_neu>
  • Konfigurationsdatei umbenennen, Dateien in /etc/pve/nodes/<node>/qemu-server
    cd /etc/pve/nodes/<node>/qemu-server/
    mv <vmid_alt>.conf <vmid_neu>.conf 
  • In der Konfigurationsdatei den Verweis auf das zuvor umbenannte Disk-Image anpassen
  • Die Anzeige in der Proxmox-Oberfläche sollte sich automatisch aktualisieren
  • Maschine neu starten

Backup Server

/etc/init.d/pbs-api
#! /bin/sh
### BEGIN INIT INFO
# Provides:          pbs-api
# Required-Start:    $network $remote_fs $time $syslog
# Required-Stop:     $network $remote_fs $time $syslog pbs-proxy
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Proxmox Backup Server API
# Description:       This is the backend
### END INIT INFO
 
DESC="PBS API"
NAME=proxmox-backup-api
BINDIR="/usr/lib/x86_64-linux-gnu/proxmox-backup"
DAEMON=$BINDIR/$NAME
NETWORK_PORT=82
PIDFILE=/run/proxmox-backup/api.pid
 
# Exit if the package is not installed
[ -x "$DAEMON" ] || exit 0
 
# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh
 
# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions
 
#
# Function that stops the daemon/service
#
do_start()
{
    # Return
    #   0 if daemon has been started
    #   1 if daemon was already running
    #   2 if daemon could not be started
    start-stop-daemon --start --quiet --exec $DAEMON --test > /dev/null \
        || return 1
    start-stop-daemon --start --quiet --background --exec $DAEMON -- \
        $DAEMON_ARGS \
        || return 2
    return $?
}
 
#
# Function that checks if daemon is running
#
do_check()
{
    STATUS=2
    # Ubuntu 8.04 does not support "lsof -s "TCP:LISTEN", therefore "grep '(LISTEN)'" is used
    pidofproc -p $PIDFILE $DAEMON >/dev/null && lsof -i "TCP:${NETWORK_PORT}" | grep --quiet '(LISTEN)' && STATUS=0
    return $STATUS
}
 
#
# Function that stops the daemon/service
#
do_stop()
{
    # Return
    #   0 if daemon has been stopped
    #   1 if daemon was already stopped
    #   2 if daemon could not be stopped
    #   other if a failure occurred
    start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --exec $DAEMON
    RETVAL="$?"
    return "$RETVAL"
}
 
#
# Function that sends a SIGHUP to the daemon/service
#
do_reload() {
    #
    # If the daemon can reload its configuration without
    # restarting (for example, when it is sent a SIGHUP),
    # then implement that here.
    #
    start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME
    return 0
}
 
case "$1" in
  start)
    [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
    do_start
    case "$?" in
        0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
        2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
    esac
    ;;
  stop)
    [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
    do_stop
    case "$?" in
        0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
        2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
    esac
    ;;
  status)
    status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
    ;;
  reload|force-reload)
    #
    # If do_reload() is not implemented then leave this commented out
    # and leave 'force-reload' as an alias for 'restart'.
    #
    log_daemon_msg "Reloading $DESC" "$NAME"
    do_reload
    log_end_msg $?
    ;;
  restart)
    log_daemon_msg "Restarting $DESC" "$NAME"
    do_stop
    case "$?" in
      0|1)
        do_start
        case "$?" in
            0) log_end_msg 0 ;;
            1) log_end_msg 1 ;; # Old process is still running
            *) log_end_msg 1 ;; # Failed to start
        esac
        ;;
      *)
        # Failed to stop
        log_end_msg 1
        ;;
    esac
    ;;
  *)
    echo "Usage: $SCRIPTNAME {start|stop|status|restart|reload|force-reload}" >&2
    exit 3
    ;;
esac
 
:
/etc/init.d/pbs-proxy
#! /bin/sh
### BEGIN INIT INFO
# Provides:          pbs-proxy
# Required-Start:    $network $remote_fs $time $syslog pbs-api
# Required-Stop:     $network $remote_fs $time $syslog
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Proxmox Backup Server Proxy
# Description:       This is needed by web gui
### END INIT INFO
 
DESC="PBS Proxy"
NAME=proxmox-backup-proxy
DAEMON_USER=backup
DAEMON_GROUP=backup
BINDIR="/usr/lib/x86_64-linux-gnu/proxmox-backup"
NETWORK_PORT=8007
PIDFILE=/run/proxmox-backup/proxy.pid
 
 
DAEMON=$BINDIR/$NAME
if [ "x${DAEMON_USER}" != "x" ]; then
   DAEMON_USERGROUP="--chuid ${DAEMON_USER}"
   if [ "x${DAEMON_GROUP}" != "x" ]; then
      DAEMON_USERGROUP="${DAEMON_USERGROUP}:${DAEMON_GROUP}"
   fi
fi
 
# Exit if the package is not installed
[ -x "$DAEMON" ] || exit 0
 
# Read configuration variable file if it is present
[ -r /etc/default/$NAME ] && . /etc/default/$NAME
 
# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh
 
# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions
 
#
# Function that stops the daemon/service
#
do_start()
{
    # Return
    #   0 if daemon has been started
    #   1 if daemon was already running
    #   2 if daemon could not be started
    start-stop-daemon --start --quiet $DAEMON_USERGROUP --exec $DAEMON --test > /dev/null \
        || return 1
    start-stop-daemon --start --quiet $DAEMON_USERGROUP --background --exec $DAEMON -- \
        $DAEMON_ARGS \
        || return 2
    return $?
}
 
#
# Function that checks if daemon is running
#
do_check()
{
    STATUS=2
    # Ubuntu 8.04 does not support "lsof -s "TCP:LISTEN", therefore "grep '(LISTEN)'" is used
    pidofproc -p $PIDFILE $DAEMON >/dev/null && lsof -i "TCP:${NETWORK_PORT}" | grep --quiet '(LISTEN)' && STATUS=0
    return $STATUS
}
 
#
# Function that stops the daemon/service
#
do_stop()
{
    # Return
    #   0 if daemon has been stopped
    #   1 if daemon was already stopped
    #   2 if daemon could not be stopped
    #   other if a failure occurred
    start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE $DAEMON_USERGROUP --exec $DAEMON
    RETVAL="$?"
    return "$RETVAL"
}
 
#
# Function that sends a SIGHUP to the daemon/service
#
do_reload() {
    #
    # If the daemon can reload its configuration without
    # restarting (for example, when it is sent a SIGHUP),
    # then implement that here.
    #
    start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME
    return 0
}
 
case "$1" in
  start)
    [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
    do_start
    case "$?" in
        0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
        2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
    esac
    ;;
  stop)
    [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
    do_stop
    case "$?" in
        0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
        2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
    esac
    ;;
  status)
    status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
    ;;
  reload|force-reload)
    #
    # If do_reload() is not implemented then leave this commented out
    # and leave 'force-reload' as an alias for 'restart'.
    #
    log_daemon_msg "Reloading $DESC" "$NAME"
    do_reload
    log_end_msg $?
    ;;
  restart)
    log_daemon_msg "Restarting $DESC" "$NAME"
    do_stop
    case "$?" in
      0|1)
        do_start
        case "$?" in
            0) log_end_msg 0 ;;
            1) log_end_msg 1 ;; # Old process is still running
            *) log_end_msg 1 ;; # Failed to start
        esac
        ;;
      *)
        # Failed to stop
        log_end_msg 1
        ;;
    esac
    ;;
  *)
    echo "Usage: $SCRIPTNAME {start|stop|status|restart|reload|force-reload}" >&2
    exit 3
    ;;
esac
 
:
proxmox.txt · Zuletzt geändert: 26.12.2022 10:37 von thooge

Donate Powered by PHP Valid HTML5 Valid CSS Driven by DokuWiki